Help - Search - Members - Calendar
Full Version: OpieMail3 on OZ3.3.6pre1 - 5500
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > Angstrom & OpenZaurus
Airwolf
Thought i would try OZ again and in particular the new Opie mail application.

I installed from the 5th toe feed with dependencies but when i try to run the application, either from the icon or console, i get the error 'Could not locate application opiemail'

any ideas?

thanks
Alwin
We will setup as soon as possible packages for the 3.3 OZ, but meanwhile:

open console, type: export LD_BIND_NOW=1
opiemail

Hopefully you will get information which library is missing.
Did you install libetpan and libmailwrapper ?

Both are required.

Alwin
Alwin
Ok,

since today a gcc3 build of opiemail3 is released in
http://opie.handhelds.org/feed/openzaurus/.../unstable-gcc3/

this one should work with OZ3.3.6pre1 - 5500.

Please install all required stuff, (libetpan, libmailwrapper and opiemail) otherwise it will not work.

Hope that helps for your problems

Alwin
Airwolf
thanks Alwin - i am really busy at work at the moment but will try these and let you know
Anonymous
I tried opie-mail, and I'm just delighted.

IMAP over SSL on a inbox with 70 e-mails and its like flying!

Very very nice! Keep up the wonderful work! wink.gif
Anonymous
screenshots? Does it do nntp?
owen
Is there a version of this that will work on a Sharp / tkcROM ?

Owen
aig
Alwin, Harlekin, and jgf:

Nice work on opie-mail3!!!! Things are working great so far.

I was just wondering if anyone knew if opie-mail3 can sync e-mails with intellisync? I have 1.43 E installed right now. I realize the mailbox format is different between opie-mailit/qtmail and opie-mail3. Is there a way to sync e-mail and have it put each separate e-mail as a separate file under /root/Applications/opiemail/localmail ?

Thanks. Take care.

~aig
Anonymous
I have tried to install opiemail on my 5500 with oz3.3.6 and it won't launch. If I run it from a console, I get this:

CODE
# opiemail

QuickLauncher invoked as: opiemail

Could not create application main window

#


any help?
Airwolf
did you also install the dependancies
?.

Please install all required stuff, (libetpan, libmailwrapper and opiemail) otherwise it will not work.
Anonymous
libetpan_0.33pre-r0_arm.ipk
libmailwrapper_0.5-20040223_arm.ipk
opie-mail_0.5-20040223_arm.ipk

all installed, what did I miss?
aig
I recently upgraded to the Feb 23rd release on my collie with OZ 3.3.6, from whatever was there before the 23rd. Opiemail stopped working for me and I get the same error. 0.4 worked just fine, but 0.5 seems not to. (All the dependencies have been upgraded too) Im either missing something or some packages in the latest feed have some problems, as should be expected, being an unstable feed; but from what I can tell, more than just opie-mail has been affected.

~AIG
Alwin
Please install libopiedb2 - we did forget append the deps for that librarie.
Means: due technical reasons opie-mail requires libopiepim2 and libopiedb2 (thats why we can not release it for opie 103 anymore) but than opiemail from unstable feed should work.

Sorry
Alwin
Anonymous
Okay, I installed libopiedb2 and libopiepim2, same error message ..

CODE
# opiemail

QuickLauncher invoked as: opiemail

Could not create application main window

#
Alwin
hm. no I have no longer an idea. On all other devices it was enough.
did you installed libssl (for tls/ssl support)?

Alwin
Anonymous
Running OZ 3.3.6pre1, the ipks I have installed so far are ..

libetpan_0.33pre-r0_arm.ipk
libmailwrapper_0.5-20040223_arm.ipk
opie-mail_0.5-20040223_arm.ipk
libopiepim2_1.8.2-20040223.2_arm.ipk
libopiedb2_1.8.2-20040223.2_arm.ipk

I have not installed any other updated packages other than what is listed above from http://opie.handhelds.org/feed/openzaurus/.../unstable-gcc3/.

I must be missing something. Do I need to update all packages currently installed from the feed above? I did not see any libssl package available.

What is the deal between these packages .. opie-mail_0.5-20040223_arm.ipk, opie-mailapplet_0.5-20040223_arm.ipk and opie-mailit_1.1.1-20040223_arm.ipk ? opie-mail and opie-mailapplet seem to to work together. If you install opie-mailapplet, it will install opie-mail as well, but not vice versa.

Note: I have not been able to get opiemail to work, regardless of the version.
mrdavv
I feel your pain with opiemail not working on oz3.3.6pre1. I have had this problem also. I just tried running it again to see if it worked and low-and-behold, it started up. I have been doing a lot of updates the past day and traced it down to a missing IPK for myself: What is the culprit for me? sqlite

http://www.openzaurus.org/official/experim...l-strongarm.ipk

Once this is installed along with the items mentioned in the previous post opiemail started up fine. Please note that I updated ALL my IPKs from the link mentioned in the previous post (opie.hanhelds.org feed) and then downgraded back to the official versions of: opie.aqpkg and opie-embeddedkonsole . I did not yet have the opportunity to test any of the features (one person mentioned NNTP/News - as an example).

The people having problems getting opiemail to run, please post back with your failures or success on the addition of 'sqlite'.
ryand
Thanks for the reply mrdavv, I installed sqlite .. at first it did not appear to work. So I decided to update all the IPKs, starting with libopie*, it died during the update and seemed to restart opie (no opie loading screen, aqpkg just disappeared, back to the PIM tab). Now opiemail works. laugh.gif

Finally .. E-mail. smile.gif
Airwolf
Back from my business trip so can afford to 'play' with OZ again. I recently flashed to OZ3.3.6 pre1 and have installed various libs to try and get opiemail3 to work from http://opie.handhelds.org/feed/openzaurus/...le-gcc3/SL5xxx/

When i click on the icon i get "could not lacate application Opiemail"

I also get a simular message "Unable to locate application addressbook" if i remove Opie address book and install from the same feed

i am about to install libssl as mentioned above

any ideas
Airwolf
whoops sorry - didn't see the post from ryand - will try that
Anonymous
ryand here .. with an update. After rebooting my Z, I have found that opie is now dead. I ended up reflashing OZ 3.3.6pre1 back on, then ipkg update/upgrade from console to opie 1.1.1. The update/upgrade went fine, however two issues remain.

<sigh> opiemail still does not work, same error message about the application window and now the todolist does not work either, same error.

embeddedkonsole would not work either, but downgrading it to 1.0.3 works fine. Otherwise, opie 1.1.1 is slick and quite fast.

Can someone post a link to libssl? Might as well try installing it.
Airwolf
Hi Ryand - got mine from http://www.openzaurus.org/official/experim...4.18-gcc3/ipks/
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.